Bug 311171 - extra dialog popup when mounting encrypted device
extra dialog popup when mounting encrypted device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-28 11:32 EDT by Jeremy Katz
Modified: 2013-03-05 22:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 22:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output (122.06 KB, text/plain)
2007-10-11 16:26 EDT, Jeremy Katz
no flags Details

  None (edit)
Description Jeremy Katz 2007-09-28 11:32:08 EDT
When mounting a luks encrypted partition off of a USB stick, it mounts but you
also get a popup from gnome-mount with

"Cannot mount volume.  Error org.freedesktop.Hal.Device.UnknownError" with
details of "An unknown error occurred"
Comment 1 David Zeuthen 2007-10-11 14:10:09 EDT
I can't seem to reproduce this... is the file system on the cleartext device
valid? Do you have more than one partition on the USB stick itself? Please
attach lshal output...
Comment 2 Jeremy Katz 2007-10-11 16:26:31 EDT
Created attachment 224751 [details]
lshal output

There are two partitions on the stick.	One has a live image, the other has an
encrypted directory.  Both are mounted and show up fine other than the fact
that I get the spurious popup

Attaching lshal output (this is post mounting)
Comment 3 Jeremy Katz 2007-10-11 16:28:10 EDT
And a different encrypted stick which only has one partition is fine, so that
might well be related
Comment 4 David Zeuthen 2007-10-11 17:02:23 EDT
I tried reproducing this with a similar setup but I don't get the spurious
popup. I'll grab you in the office next week...
Comment 5 Jeremy Katz 2007-10-16 22:07:37 EDT
Looks fine with rawhide of today.

Note You need to log in before you can comment on or make changes to this bug.